SU(1)

NOM
su - change user ID or become superuser

SYNOPSIS

su [options] [LOGIN]

DESCRIPTION

The su command is used to become another user during a login session. Invoked without a username, su defaults to becoming the superuser. The optional argument - may be used to provide an environment similar to what the user would expect had the user logged in directly.

Des paramètres supplémentaires peuvent être fournis après le nom de l'utilisateur. Dans ce cas, ils sont donnés à l'interpréteur de commandes de connexion de l'utilisateur. En particulier, le paramètre « -c » considère que le paramètre suivant est une commande pour la plupart des interpréteurs de commandes. La commande sera exécutée par l'interpréteur indiqué dans /etc/passwd pour l'utilisateur cible.

Vous pouvez utiliser le paramètre -- pour séparer les options de su des paramètres fournis par l'interpréteur de commandes.

Un mot de passe sera demandé à l'utilisateur, si nécessaire. Les mots de passe incorrects produisent un message d'erreur. Toutes les tentatives, réussies ou non, sont enregistrées afin de détecter tout abus du système.

The current environment is passed to the new shell. The value of $PATH is reset to /bin:/usr/bin for normal users, or /sbin:/bin:/usr/sbin:/usr/bin for the superuser. This may be changed with the ENV_PATH and ENV_SUPATH definitions in /etc/login.defs.

Une connexion à un sous-système est indiquée par la présence d'un « * » comme premier caractère de l'interpréteur de commandes initial. Le répertoire personnel sera utilisé comme racine d'un nouveau système de fichiers dans lequel l'utilisateur sera connecté.

OPTIONS

Les options applicables à la commande su sont :

-c, --command COMMAND
    Indiquer une commande qui sera invoquée par l'interpréteur de commandes en utilisant son option -c

-, -l, --login
    Fournir à l'utilisateur un environnement similaire à celui qu'il aurait obtenu s'il s'était connecté directement.

    Lorsque - est utilisé, il doit être indiqué comme dernier paramètre de su option. Les autres formes (-l et --login) ne présentent pas cette restriction.

-s, --shell INTERPRÉTEUR
    Interpréteur de commande devant être appelé.

    The invoked shell is chosen from (highest priority first):

        • Interpréteur de commande indiqué par --shell.

        • Si --preserve-environment est utilisé, l'interpréteur de commandes indiqué par la variable d'environnement $SHELL sera utilisé.

        • Interpréteur de commandes indiqué dans /etc/passwd pour l'utilisateur cible.

        • /bin/sh si aucun interpréteur de commandes ne peut être trouvé par l'une des méthodes ci-dessus.

        If the target user has a restricted shell (i.e. the shell field of this user's entry in /etc/passwd is not listed in /etc/shell), then the --shell option or the $SHELL environment variable won't be taken into account, unless su is called by root.

-m, -p, --preserve-environment
    Préserver l'environnement actuel.

    Si l'utilisateur cible possède un interpréteur de commandes restreint, cette option n'a aucun effet (à moins que su ne soit appelé par le superutilisateur).

AVERTISSEMENTS

Cette version de su a de nombreuses options de compilation. Seules certaines d'entre elles peuvent avoir été activées sur votre site.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

CONSOLE (string)
    If defined, either full pathname of a file containing device names or a ":" delimited list of device names. Root logins will be allowed only upon these devices.

    If not defined, root will be allowed on any device.

CONSOLE_GROUPS (string)
    List of groups to add to the user's supplementary group set when logging in on the console (as determined by the CONSOLE setting). Default is none. Use with caution - it is possible for users to gain permanent access to these groups, even when not logged in on the console.

DEFAULT_HOME (boolean)
    Indicate if login is allowed if we can't cd to the home directory. Default in no.

    If set to yes, the user will login in the root (/) directory if it is not possible to cd to her home directory.

ENV_HZ (string)
    If set, it will be used to define the HZ environment variable when a user login. The value must be preceded by HZ=. A common value on Linux is HZ=100.

ENVIRON_FILE (string)
    If this file exists and is readable, login environment will be read from it. Every line should be in the form name=value.

ENV_PATH (string)
    If set, it will be used to define the PATH environment variable when a regular user login. The value can be preceded by PATH=, or a colon separated list of paths (for example /bin:/usr/bin). The default value is PATH=/bin:/usr/bin.

ENV_SUPATH (string)
    If set, it will be used to define the PATH environment variable when the superuser login. The value can be preceded by PATH=, or a colon separated list of paths (for example /sbin:/bin:/usr/sbin:/usr/bin). The default value is PATH=/bin:/usr/bin.

ENV_TZ (string)
    If set, it will be used to define the TZ environment variable when a user login. The value can be the name of a timezone preceded by TZ= (for example TZ=CST6CDT), or the full path to the file containing the timezone specification (for example /etc/tzname).

    If a full path is specified but the file does not exist or cannot be read, the default is to use TZ=CST6CDT.

LOGIN_STRING (string)
    The string used for prompting a password. The default is to use "Password: ", or a translation of that string. If you set this variable, the prompt will no be translated.

    If the string contains %s, this will be replaced by the user's name.

MAIL_CHECK_ENAB (boolean)
    Enable checking and display of mailbox status upon login.

    You should disable it if the shell startup files already check for mail ("mailx -e" or equivalent).

MAIL_DIR (string)
    Répertoire d'attente des courriels (« mail spool directory »). Ce paramètre est nécessaire pour manipuler les boîtes à lettres lorsque le compte d'un utilisateur est modifié ou supprimé. S'il n'est pas spécifié, une valeur par défaut définie à la compilation est utilisée.

MAIL_FILE (string)
    Defines the location of the users mail spool files relatively to their home directory.

The MAIL_DIR and MAIL_FILE variables are used by useradd, usermod, and userdel to create, move, or delete the user's mail spool.

If MAIL_CHECK_ENAB is set to yes, they are also used to define the MAIL environment variable.

QUOTAS_ENAB (boolean)
    Enable setting of ulimit, umask, and niceness from passwd gecos field.

SULOG_FILE (string)
    If defined, all su activity is logged to this file.

SU_NAME (string)
    If defined, the command name to display when running "su -". For example, if this is defined as "su" then a "ps" will display the command is "-su". If not defined, then "ps" would display the name of the shell actually being run, e.g. something like "-sh".

SU_WHEEL_ONLY (boolean)
    If yes, the user must be listed as a member of the first gid 0 group in /etc/group (called root on most Linux systems) to be able to su to uid 0 accounts. If the group doesn't exist or is empty, no one will be able to su to uid 0.

SYSLOG_SU_ENAB (boolean)
    Enable "syslog" logging of su activity - in addition to sulog file logging.

USERGROUPS_ENAB (boolean)
    Enable setting of the umask group bits to be the same as owner bits (examples: 022 -> 002, 077 -> 007) for non-root users, if the uid is the same as gid, and username is the same as the primary group name. If set to yes, userdel will remove the user's group if it contains no more members, and useradd will create by default a group with the name of the user.

FICHIERS

/etc/passwd
    Informations sur les comptes des utilisateurs.

/etc/shadow
    Informations sécurisées sur les comptes utilisateurs.

VOIR AUSSI

login(1), login.defs(5), sg(1), sh(1)